<!DOCTYPE html>
<html>
<head>
   <title>Patern 20</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 4;
      var tempJmlBaris = 0;
      var frontSpace = jmlBaris;
      var outerSapce = 0;
      var innerSpace = jmlBaris*2
      var bottomStar = (jmlBaris*2)+1;
      for (let i = 0; i <= jmlBaris; i++) {
         var output = '';
         if (i == 0) {
            for (let j = 0; j < bottomStar; j++) {
               output = output + '*';
            }
            
         }  else if (i == jmlBaris) {
            for (let k = 0; k < outerSapce; k++) {
               output = output + '&nbsp;&nbsp;';
            }
            output = output + '*';
         } else {
            for (let j = 0; j <= tempJmlBaris; j++) {
               if (j == 0) {
                  for (let k = 0; k < outerSapce; k++) {
                     output = output + '&nbsp;&nbsp;';
                  }
                  output = output + '*';
               } else if (j == tempJmlBaris) {
                  for (let k = 0; k < innerSpace; k++) {
                     output = output + '&nbsp;&nbsp;';
                     // output = output + '&nbsp;&nbsp;';
                  }
                  output = output + '*';
               }
            }
         }
         tempJmlBaris++;
         frontSpace++;
         outerSapce++;
         innerSpace-=2;
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>